<script lang="ts">
  import { SVGs } from '~/lib/svgs/SVGs.js';
  let searchInput: HTMLInputElement;

  export let opened = false;
  export let placeholder = '';

  const onClick = () => {
    opened = !opened;

    if (opened) {
      searchInput.focus();
    }
  };
</script>

<div
  class="input-container"
  class:open={opened}
  class:close={!opened}>
  <input
    bind:this={searchInput}
    class="search-input"
    {placeholder} />
  <button on:click={onClick}><img src={SVGs.common.search} /></button>
</div>

<style lang="postcss">
  .input-container {
    position: relative;
    border: 1px solid hsl(0deg 0% 80%);
    border-radius: var(--radius-4);
    background-color: white;

    &.open {
      width: 50%;
      transition: width 0.3s ease-out;
    }

    &.close {
      width: 45px;

      /* border: 1px solid hsla(0, 0%, 80%, 0); */
      transition: width 0.3s ease-out;
    }

    img {
      position: absolute;
      top: 4px;
      right: 8px;
      width: 25px;
    }
  }

  .search-input {
    width: calc(100% - 48px);
    background: none;
    margin-inline: 10px;
    padding-block: 5px;

    /* background-color: red; */
  }
</style>
